- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#body.aspect_1)
- [InlineSource](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#InlineSource)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#InlineSource.SCHEMA_REPRESENTATION)

Imports a list of Identity Mapping Entries to an Identity Mapping Store.

### HTTP request

Choose an endpoint:
global us   
`POST https://discoveryengine.googleapis.com/v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:importIdentityMappings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `identityMappingStore` | `string` Required. The name of the Identity Mapping Store to import Identity Mapping Entries to. Format: `projects/{project}/locations/{location}/identityMappingStores/{identityMappingStore}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "inlineSource": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#InlineSource`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| The source of the input. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `inlineSource` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.identityMappingStores/importIdentityMappings#InlineSource`)`` The inline source to import identity mapping entries from. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `identityMappingStore` resource:

- `discoveryengine.identityMappingStores.importIdentityMappings`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## InlineSource

The inline source to import identity mapping entries from.

| JSON representation |
|---|
| ``` { "identityMappingEntries": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/IdentityMappingEntry`) } ] } ``` |

| Fields ||
|---|---|
| `identityMappingEntries[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/IdentityMappingEntry`)`` A maximum of 10000 entries can be imported at one time |